Package: pry / 0.13.1-1

Metadata

Package Version Patches format
pry 0.13.1-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
adjust test that fails on debian buildd.patch | (download)

spec/pry_repl_spec.rb | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 adjust test that faileds on debian buildd


0005 Remove git ls files from gemspec.patch | (download)

pry.gemspec | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 remove git ls-files from gemspec

0006 Skip bunlder integration spec.patch | (download)

spec/integration/bundler_spec.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix bundler require

Signed-off-by: Youhei SASAKI <uwabami@gfd-dennou.org>

0007 Fix test matching build area.patch | (download)

spec/cli_spec.rb | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 fix test matching build-area and autopkgtest

Fix test failure:
Failures:

  1) Pry::CLI.start when there are some input args loads files through repl and exits
     Failure/Error: Pry.load_file_through_repl(full_name)

       #<Pry (class)> received :load_file_through_repl with unexpected arguments
         expected: (match /pry\/foo/)
              got: ("/tmp/build-area/pry-0.13.0/foo")
     # ./lib/pry/cli.rb:114:in `start'
     # ./spec/cli_spec.rb:223:in `block (4 levels) in <top (required)>'

0008 Fix autopkgtest.patch | (download)

spec/commands/edit_spec.rb | 12 6 + 6 - 0 !
1 file changed, 6 insertions(+), 6 deletions(-)

 fix autopkgtest

In autopkgtest lib/ is not available. This hopefully can replace the broken
test in debian/tests/.

set env home.patch | (download)

spec/history_spec.rb | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 set env['home'] to "/tmp"